using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

namespace WebCombo92GetDataValueBug
{
    public partial class _Default : System.Web.UI.Page
    {

        DataSet mDSCustomers;

        protected void Page_Init(object sender, EventArgs e)
        {
            webCombo1.InitializeDataSource += new Infragistics.WebUI.WebCombo.InitializeDataSourceEventHandler(webCombo1_InitializeDataSource);
            mDSCustomers = new DataSet();
            mDSCustomers.ReadXml(HttpContext.Current.Server.MapPath("~/Xml/Customers.xml"));

        }

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {
                InitialisePage();
                
            }
        }

        void InitialisePage()
        {
            webCombo1.EnableXmlHTTP = true;

            //comment this line and the problem goes away
            webCombo1.Editable = true;


            webCombo1.DataSource = mDSCustomers;
            webCombo1.DataMember = mDSCustomers.Tables[0].TableName;
            webCombo1.DataValueField = "CustomerCode"; //column used for the code of the selected item
            webCombo1.DataTextField = "CustomerName"; //column  that will be displayed
            webCombo1.DataBind();
           
            
        }

        private void webCombo1_InitializeDataSource(object sender, Infragistics.WebUI.WebCombo.WebComboEventArgs e)
        {
         

                if (webCombo1.DataSource == null && mDSCustomers != null)
                {
                    
                
                    webCombo1.DataSource = mDSCustomers.Tables[0];
                }
         
        }

     


    }
}
